-- 基础信息
base_info = {
	group_id = 242003017
}

-- Trigger变量
defs = {
	group_id = 242003017,
	gear_group_id = 242001007
}

-- DEFS_MISCS
package_tide_defs={
        [1]={{monster_package={12040},route=1,route_points={1,2,4,5,9,10,13,14,18,21,22,25,26,29,30,33,34,38,39,40,41,43,44,45,46,47,48,49},tags=2,count=4,max=1,min=1,fill_time=8,fill_count=1},{monster_package={12040},route=2,route_points={1,2,4,5,9,10,13,14,18,21,22,25,26,29,30,33,34,38,39,40,41,43,44,45,46},tags=4,count=4,max=1,min=1,fill_time=8,fill_count=1},{monster_package={12042,12043,12044},route=3,route_points={1,2,4,5,9,10,13,14,18,21,22,25,26,29,30,33,34,38,39,40,41,43,44,45,46,47,48,49,50,54,55,56,58,59},tags=8,count=6,max=2,min=2},{monster_package={12042,12043,12044},route=4,route_points={1,2,4,5,9,10,13,14,18,21,22,25,26,29,30,33,34,38,39,40,41,43,44,45,46,47,48,49,50,54,55,56,58,59,60,61},tags=16,count=6,max=2,min=2}},
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	-- 3
	{ config_id = 17001, pos = { x = 49.296, y = -4.265, z = -54.482 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	-- 3
	{ config_id = 17002, pos = { x = 49.340, y = -4.279, z = -52.034 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	-- 3
	{ config_id = 17003, pos = { x = 43.716, y = -4.268, z = -53.035 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	-- 3
	{ config_id = 17004, pos = { x = 46.412, y = -4.268, z = -53.448 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	-- 3
	{ config_id = 17005, pos = { x = 52.034, y = -4.254, z = -52.953 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	-- 3
	{ config_id = 17006, pos = { x = 44.071, y = -4.281, z = -55.459 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	-- 3
	{ config_id = 17007, pos = { x = 47.284, y = -4.269, z = -56.128 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	-- 3
	{ config_id = 17008, pos = { x = 52.546, y = -4.263, z = -55.873 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	-- 2
	{ config_id = 17009, pos = { x = 144.168, y = 7.127, z = -49.058 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	-- 2
	{ config_id = 17010, pos = { x = 146.446, y = 7.115, z = -49.478 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	-- 2
	{ config_id = 17011, pos = { x = 148.861, y = 7.103, z = -49.065 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	-- 2
	{ config_id = 17012, pos = { x = 145.728, y = 7.115, z = -46.970 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	-- 2
	{ config_id = 17013, pos = { x = 148.071, y = 7.118, z = -47.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	-- 2
	{ config_id = 17014, pos = { x = 149.752, y = 7.116, z = -46.762 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	-- 2
	{ config_id = 17015, pos = { x = 147.169, y = 7.119, z = -45.263 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	-- 2
	{ config_id = 17016, pos = { x = 144.847, y = 7.138, z = -45.024 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	-- 4
	{ config_id = 17017, pos = { x = 49.704, y = -4.265, z = -48.279 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 },
	-- 4
	{ config_id = 17018, pos = { x = 48.721, y = -4.250, z = -45.832 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 },
	-- 4
	{ config_id = 17019, pos = { x = 43.681, y = -4.246, z = -46.832 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 },
	-- 4
	{ config_id = 17020, pos = { x = 46.412, y = -4.228, z = -47.246 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 },
	-- 4
	{ config_id = 17021, pos = { x = 51.883, y = -4.267, z = -46.751 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 },
	-- 4
	{ config_id = 17022, pos = { x = 43.704, y = -4.264, z = -49.256 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 },
	-- 4
	{ config_id = 17023, pos = { x = 47.284, y = -4.262, z = -49.926 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 },
	-- 4
	{ config_id = 17024, pos = { x = 52.154, y = -4.280, z = -49.670 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 },
	-- 1
	{ config_id = 17025, pos = { x = 144.880, y = 7.127, z = -55.273 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	-- 1
	{ config_id = 17026, pos = { x = 147.158, y = 7.115, z = -55.693 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	-- 1
	{ config_id = 17027, pos = { x = 149.573, y = 7.103, z = -55.281 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	-- 1
	{ config_id = 17028, pos = { x = 146.440, y = 7.115, z = -53.185 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	-- 1
	{ config_id = 17029, pos = { x = 148.783, y = 7.118, z = -53.612 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	-- 1
	{ config_id = 17030, pos = { x = 150.464, y = 7.116, z = -52.977 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	-- 1
	{ config_id = 17031, pos = { x = 147.881, y = 7.119, z = -51.479 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	-- 1
	{ config_id = 17032, pos = { x = 145.559, y = 7.138, z = -51.239 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "TowerDefense_Monster02"
